JUCE: SpeakerMappings Struct Reference

JUCE

Classes | Static Public Member Functions | List of all members
SpeakerMappings Struct Reference

Structure for VST speaker mappings. More...

Inheritance diagram for SpeakerMappings:

## Classes
struct | Mapping
| Structure describing a mapping. More...
class | VstSpeakerConfigurationHolder
| Class to hold a speaker configuration. More...

## Static Public Member Functions
static AudioChannelSet | vstArrangementTypeToChannelSet (int32 arr, int fallbackNumChannels)
static AudioChannelSet | vstArrangementTypeToChannelSet (const Vst2::VstSpeakerArrangement &arr)
static int32 | channelSetToVstArrangementType (AudioChannelSet channels)
static const Mapping * | getMappings () noexcept
static int32 | getSpeakerType (AudioChannelSet::ChannelType type) noexcept
static AudioChannelSet::ChannelType | getChannelType (int32 type) noexcept

## Detailed Description

Structure for VST speaker mappings.

## Member Function Documentation

## ◆ vstArrangementTypeToChannelSet() [1/2]

static AudioChannelSet SpeakerMappings::vstArrangementTypeToChannelSet | ( | int32 | arr,
|  | int | fallbackNumChannels
| ) |  |
| static

References AudioChannelSet::addChannel(), AudioChannelSet::create5point0(), AudioChannelSet::create5point1(), AudioChannelSet::create6point0(), AudioChannelSet::create6point0Music(), AudioChannelSet::create6point1(), AudioChannelSet::create6point1Music(), AudioChannelSet::create7point0(), AudioChannelSet::create7point0SDDS(), AudioChannelSet::create7point1(), AudioChannelSet::create7point1SDDS(), AudioChannelSet::createLCR(), AudioChannelSet::createLCRS(), AudioChannelSet::createLRS(), AudioChannelSet::disabled(), AudioChannelSet::discreteChannels(), getMappings(), AudioChannelSet::mono(), AudioChannelSet::quadraphonic(), AudioChannelSet::stereo(), and SpeakerMappings::Mapping::vst2.

Referenced by vstArrangementTypeToChannelSet().

## ◆ vstArrangementTypeToChannelSet() [2/2]

static AudioChannelSet SpeakerMappings::vstArrangementTypeToChannelSet | ( | const Vst2::VstSpeakerArrangement & | arr | ) |
| static

References vstArrangementTypeToChannelSet().

## ◆ channelSetToVstArrangementType()

static int32 SpeakerMappings::channelSetToVstArrangementType | ( | AudioChannelSet | channels | ) |
| static

References AudioChannelSet::create5point0(), AudioChannelSet::create5point1(), AudioChannelSet::create6point0(), AudioChannelSet::create6point0Music(), AudioChannelSet::create6point1(), AudioChannelSet::create6point1Music(), AudioChannelSet::create7point0(), AudioChannelSet::create7point0SDDS(), AudioChannelSet::create7point1(), AudioChannelSet::create7point1SDDS(), AudioChannelSet::createLCR(), AudioChannelSet::createLCRS(), AudioChannelSet::createLRS(), AudioChannelSet::disabled(), AudioChannelSet::getChannelTypes(), getMappings(), AudioChannelSet::mono(), AudioChannelSet::quadraphonic(), AudioChannelSet::stereo(), and SpeakerMappings::Mapping::vst2.

Referenced by SpeakerMappings::VstSpeakerConfigurationHolder::VstSpeakerConfigurationHolder().

## ◆ getMappings()

static const Mapping* SpeakerMappings::getMappings | ( |  | ) |
| staticnoexcept

References AudioChannelSet::centre, AudioChannelSet::left, AudioChannelSet::leftCentre, AudioChannelSet::leftSurround, AudioChannelSet::leftSurroundRear, AudioChannelSet::LFE, AudioChannelSet::LFE2, AudioChannelSet::right, AudioChannelSet::rightCentre, AudioChannelSet::rightSurround, AudioChannelSet::rightSurroundRear, AudioChannelSet::surround, AudioChannelSet::topFrontCentre, AudioChannelSet::topFrontLeft, AudioChannelSet::topFrontRight, AudioChannelSet::topRearLeft, AudioChannelSet::topRearRight, and AudioChannelSet::unknown.

Referenced by channelSetToVstArrangementType(), and vstArrangementTypeToChannelSet().

## ◆ getSpeakerType()

static int32 SpeakerMappings::getSpeakerType | ( | AudioChannelSet::ChannelType | type | ) |
| staticnoexcept

References AudioChannelSet::centre, AudioChannelSet::left, AudioChannelSet::leftCentre, AudioChannelSet::leftSurround, AudioChannelSet::leftSurroundRear, AudioChannelSet::LFE, AudioChannelSet::LFE2, AudioChannelSet::right, AudioChannelSet::rightCentre, AudioChannelSet::rightSurround, AudioChannelSet::rightSurroundRear, AudioChannelSet::surround, AudioChannelSet::topFrontCentre, AudioChannelSet::topFrontLeft, AudioChannelSet::topFrontRight, AudioChannelSet::topMiddle, AudioChannelSet::topRearCentre, AudioChannelSet::topRearLeft, and AudioChannelSet::topRearRight.

Referenced by SpeakerMappings::VstSpeakerConfigurationHolder::VstSpeakerConfigurationHolder().

## ◆ getChannelType()

static AudioChannelSet::ChannelType SpeakerMappings::getChannelType | ( | int32 | type | ) |
| staticnoexcept

References AudioChannelSet::centre, AudioChannelSet::left, AudioChannelSet::leftCentre, AudioChannelSet::leftSurround, AudioChannelSet::leftSurroundRear, AudioChannelSet::LFE, AudioChannelSet::LFE2, AudioChannelSet::right, AudioChannelSet::rightCentre, AudioChannelSet::rightSurround, AudioChannelSet::rightSurroundRear, AudioChannelSet::surround, AudioChannelSet::topFrontCentre, AudioChannelSet::topFrontLeft, AudioChannelSet::topFrontRight, AudioChannelSet::topMiddle, AudioChannelSet::topRearCentre, AudioChannelSet::topRearLeft, AudioChannelSet::topRearRight, and AudioChannelSet::unknown.

The documentation for this struct was generated from the following file:

- juce_VSTCommon.h